## xdg-desktop-portal-phosh 0.46.0

=== meson_options.txt ===
option('systemd_user_unit_dir',
       type: 'string', value: '',
       description: 'Directory for systemd user units')

## xdg-desktop-portal-phosh 0.42.0

=== debian/changelog ===
xdg-desktop-portal-phosh (0.42.0-1) unstable; urgency=medium

  * New upstream release

 -- Guido Günther <agx@sigxcpu.org>  Sun, 17 Nov 2024 14:57:12 +0100

xdg-desktop-portal-phosh (0.42~rc1-1) unstable; urgency=medium

  * Initial release (Closes: #1085235).

 -- Guido Günther <agx@sigxcpu.org>  Thu, 17 Oct 2024 09:03:20 +0200

=== debian/control ===
Source: xdg-desktop-portal-phosh
Section: gnome
Priority: optional
Maintainer: DebianOnMobile Maintainers <debian-on-mobile-maintainers@alioth-lists.debian.net>
Uploaders: Guido Günther <agx@sigxcpu.org>
Build-Depends:
 debhelper-compat (= 13),
 gsettings-desktop-schemas-dev,
 libfontconfig-dev,
 libadwaita-1-dev (>= 1.4),
 libglib2.0-dev (>= 2.74),
 libgtk-4-dev (>= 4.12),
 libgnome-bg-4-dev,
 libgnome-desktop-4-dev,
 meson,
 systemd-dev,
 xdg-desktop-portal-dev (>= 1.14.0),
 xmlto,
Rules-Requires-Root: no
Standards-Version: 4.7.0

Package: xdg-desktop-portal-phosh
Architecture: linux-any
Depends:
 dbus-user-session | dbus-x11,
 gsettings-desktop-schemas,
 xdg-desktop-portal (>= 1.17.0),
 ${misc:Depends},
 ${shlibs:Depends},
Provides:
 xdg-desktop-portal-backend (= 1.14.0),
Multi-Arch: foreign
Description: Phosh portal backend for xdg-desktop-portal
 xdg-desktop-portal-phosh provides a GTK and Adwaita based implementation for
 the desktop-agnostic xdg-desktop-portal service. This allows sandboxed
 applications to request services from outside the sandbox.

=== debian/tests/control ===
Test-Command: /usr/libexec/xdg-desktop-portal-phosh --help
Restrictions: superficial
Depends:
 @,

## xdg-desktop-portal-phosh 0.44~rc2

=== debian/changelog ===
xdg-desktop-portal-phosh (0.44~rc2-1) unstable; urgency=medium

  * New upstream release
    * New experimental adaptive file chooser portal
    * Use 'phosh' as portal name rather than 'pmp'
  * d/control: Ensure recent enough schema for accent colors
  * d/control: Add rust build deps
  * d/control: Conflict on older phosh.
    We switch portal names and hence take over a file.
  * install: Use new and consistent portal name
  * install: Install gsettings schema
  * Build the Rust bits.
    Ensure we use the cargo wrapper and target dir.
    For that we need to prevent meson to override CARGO_HOME dir
    and need to fold the arch triplet into the library path (since
    the wrapper sets --target)

 -- Guido Günther <agx@sigxcpu.org>  Sat, 21 Dec 2024 19:58:40 +0100

=== debian/control ===
Source: xdg-desktop-portal-phosh
Section: gnome
Priority: optional
Maintainer: DebianOnMobile Maintainers <debian-on-mobile-maintainers@alioth-lists.debian.net>
Uploaders:
 Guido Günther <agx@sigxcpu.org>,
Build-Depends:
 cargo,
 debhelper-compat (= 13),
 gsettings-desktop-schemas-dev,
 libadwaita-1-dev (>= 1.4),
 libfontconfig-dev,
 libglib2.0-dev (>= 2.74),
 libgnome-bg-4-dev,
 libgnome-desktop-4-dev,
 libgtk-4-dev (>= 4.12),
 librust-gettext-rs-dev,
 librust-glib-macros-dev,
 librust-gtk4-dev,
 librust-gtk4-macros-dev,
 librust-libadwaita-dev,
 meson,
 patchelf,
 systemd-dev,
 xdg-desktop-portal-dev (>= 1.14.0),
 xmlto,
Rules-Requires-Root: no
Standards-Version: 4.7.0
Vcs-Git: https://salsa.debian.org/DebianOnMobile-team/xdg-desktop-portal-phosh.git
Vcs-Browser: https://salsa.debian.org/DebianOnMobile-team/xdg-desktop-portal-phosh

Package: xdg-desktop-portal-phosh
Architecture: linux-any
Depends:
 dbus-user-session | dbus-x11,
 gsettings-desktop-schemas (>= 47),
 xdg-desktop-portal (>= 1.17.0),
 ${misc:Depends},
 ${shlibs:Depends},
Provides:
 xdg-desktop-portal-backend (= 1.14.0),
Breaks:
 phosh (<< 0.44~),
Replaces:
 phosh (<< 0.44~),
Multi-Arch: foreign
Description: Phosh portal backend for xdg-desktop-portal
 xdg-desktop-portal-phosh provides a GTK and Adwaita based implementation for
 the desktop-agnostic xdg-desktop-portal service. This allows sandboxed
 applications to request services from outside the sandbox.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

include /usr/share/dpkg/default.mk
include /usr/share/rustc/architecture.mk
export DEB_HOST_RUST_TYPE DEB_HOST_GNU_TYPE
export CARGO=/usr/share/cargo/bin/cargo
export CARGO_HOME=$(CURDIR)/debian/cargo_home
export CARGO_REGISTRY=$(CURDIR)/debian/cargo_registry
export DEB_CARGO_CRATE=$(DEB_SOURCE)_$(DEB_VERSION_UPSTREAM)
export INSTALL_DIR=$(CURDIR)/debian/phrog
export PATH:=/usr/share/cargo/bin/:$(PATH)

include /usr/share/dpkg/default.mk

configure_options = \
	-Dpfs:deb_triplet=$(DEB_HOST_RUST_TYPE) \
	$(NULL)

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- $(configure_options)

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp

execute_after_dh_auto_clean:
	rm -rf $(CARGO_HOME)
	rm -rf $(CARGO_REGISTRY)

execute_before_dh_auto_configure:
	$(CARGO) prepare-debian $(CARGO_REGISTRY) --link-from-system
	rm -f .cargo/config subprojects/pfs/Cargo.lock

## xdg-desktop-portal-phosh 0.44.0

=== debian/changelog ===
xdg-desktop-portal-phosh (0.44.0-1) unstable; urgency=medium

  * New upstream release
  * Tighten dependencies

 -- Guido Günther <agx@sigxcpu.org>  Mon, 30 Dec 2024 11:19:03 +0100

=== debian/control ===
--- 
+++ 
@@ -8,12 +8,12 @@
  cargo,
  debhelper-compat (= 13),
  gsettings-desktop-schemas-dev,
- libadwaita-1-dev (>= 1.4),
+ libadwaita-1-dev (>= 1.6),
  libfontconfig-dev,
  libglib2.0-dev (>= 2.74),
  libgnome-bg-4-dev,
  libgnome-desktop-4-dev,
- libgtk-4-dev (>= 4.12),
+ libgtk-4-dev (>= 4.14),
  librust-gettext-rs-dev,
  librust-glib-macros-dev,
  librust-gtk4-dev,

## xdg-desktop-portal-phosh 0.45.0

=== debian/changelog ===
xdg-desktop-portal-phosh (0.45.0-2) unstable; urgency=medium

  * Upload to unstable

 -- Guido Günther <agx@sigxcpu.org>  Tue, 18 Feb 2025 16:15:49 +0100

xdg-desktop-portal-phosh (0.45.0-1) experimental; urgency=medium

  * Upload to experimental
  * New upstream release
    * Use GTK's new portal avoidance
  * Bump GTK dependency to 4.17.

 -- Guido Günther <agx@sigxcpu.org>  Thu, 06 Feb 2025 20:04:24 +0100

## xdg-desktop-portal-phosh 0.46~rc1

=== debian/changelog ===
xdg-desktop-portal-phosh (0.46~rc1-1) unstable; urgency=medium

  * New upstream release
    * Support setting lockscreen wallpaper
    * file-chooser: Indicate loading state
    * file-chooser: Add search when opening files
  * Rediff patches

 -- Guido Günther <agx@sigxcpu.org>  Sun, 23 Mar 2025 15:24:56 +0100

## xdg-desktop-portal-phosh 0.46.0

=== debian/changelog ===
xdg-desktop-portal-phosh (0.46.0-1) unstable; urgency=medium

  * New upstream release
    * Add notification portal with initial v2 support. This allows
      notification features like categories (`im.received`) or body markup in
      flatpaks to be delivered to the user.

 -- Guido Günther <agx@sigxcpu.org>  Sun, 30 Mar 2025 15:42:45 +0200

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
  libglib2.0-dev (>= 2.74),
  libgnome-bg-4-dev,
  libgnome-desktop-4-dev,
- libgtk-4-dev (>= 4.14),
+ libgtk-4-dev (>= 4.17),
  librust-gettext-rs-dev,
  librust-glib-macros-dev,
  librust-gtk4-dev,

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,6 @@
 export CARGO_HOME=$(CURDIR)/debian/cargo_home
 export CARGO_REGISTRY=$(CURDIR)/debian/cargo_registry
 export DEB_CARGO_CRATE=$(DEB_SOURCE)_$(DEB_VERSION_UPSTREAM)
-export INSTALL_DIR=$(CURDIR)/debian/phrog
 export PATH:=/usr/share/cargo/bin/:$(PATH)
 
 include /usr/share/dpkg/default.mk

## xdg-desktop-portal-phosh 0.48.0

=== debian/changelog ===
xdg-desktop-portal-phosh (0.48.0-1) experimental; urgency=medium

  * New upstream release
    * Update to pfs 0.0.4 to fix the empty state when the initially
      opened directory is empty

 -- Guido Günther <agx@sigxcpu.org>  Mon, 30 Jun 2025 09:07:55 +0200

xdg-desktop-portal-phosh (0.48~rc2-1) experimental; urgency=medium

  * New upstream release candidate
    * This time with updated pfs

 -- Guido Günther <agx@sigxcpu.org>  Mon, 23 Jun 2025 16:42:54 +0200

xdg-desktop-portal-phosh (0.48~rc1-1) experimental; urgency=medium

  * New upstream release candidate
    * Update to pfs 0.0.4 to fix the empty state when the initially
      opened directory is empty

 -- Guido Günther <agx@sigxcpu.org>  Sun, 22 Jun 2025 11:15:40 +0200

xdg-desktop-portal-phosh (0.47.0-1) experimental; urgency=medium

  * New upstream release
    * notification-portal: Handle cellbroadcast categories
  * Rediff patches

 -- Guido Günther <agx@sigxcpu.org>  Sun, 18 May 2025 12:57:25 +0200

## xdg-desktop-portal-phosh 0.50~rc1

=== debian/changelog ===
xdg-desktop-portal-phosh (0.50~rc1-1) unstable; urgency=medium

  * Upload to unstable
  * New upstream release candidate
    * Update pfs to 0.0.5 (Closes: #1113928)
  * d/watch: Mangle both ways
  * Disable the Rust portal. Let's fix the RC bugs before enabling
    it.

 -- Guido Günther <agx@sigxcpu.org>  Mon, 22 Sep 2025 14:02:05 +0200

=== debian/rules ===
--- 
+++ 
@@ -15,6 +15,7 @@
 
 configure_options = \
 	-Dpfs:deb_triplet=$(DEB_HOST_RUST_TYPE) \
+	-Drust-portal=false \
 	$(NULL)
 
 %:

=== debian/tests/control ===
Test-Command: /usr/libexec/xdg-desktop-portal-phosh --help
Restrictions:
 superficial,
Depends:
 @,

=== debian/watch ===
version=4
opts="repacksuffix=+ds, \
  uversionmangle=s/\.(alpha|beta|rc)/~$1/, \
  dversionmangle=s/~(alpha|beta|rc)/.$1/, \
  pgpsigurlmangle=s%$%.asc%" \
https://sources.phosh.mobi/releases/@PACKAGE@/ \
  @PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@

## xdg-desktop-portal-phosh 0.50.0

=== meson_options.txt ===
option('systemd_user_unit_dir',
       type: 'string', value: '',
       description: 'Directory for systemd user units')
option('rust-portal', type: 'boolean', value: true,
       description: 'Whether to build the Rust based portal')

=== subprojects/pfs/meson_options.txt ===
option('examples',
       type: 'boolean', value: true,
       description: 'Build examples')

option('shared-lib',
       type: 'boolean', value: false,
       description: 'Build shared library')

=== debian/changelog ===
xdg-desktop-portal-phosh (0.50.0-1) experimental; urgency=medium

  * New upstream release
  * Drop ashpd patch. Applied upstream
  * Rediff patches
  * pfs: Use local subproject

 -- Guido Günther <agx@sigxcpu.org>  Sat, 04 Oct 2025 15:56:59 +0200

xdg-desktop-portal-phosh (0.50~rc1-2) experimental; urgency=medium

  * Upload to experimental
  * Wrap and sort
  * Enable rust based portal. This gives us adaptive app chooser
    and account portals
  * build: Use ashpd 0.12
  * d/rules: Drop Cargo.lock. No point to fight against minor versions

 -- Guido Günther <agx@sigxcpu.org>  Mon, 22 Sep 2025 15:29:23 +0200

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,8 @@
 Uploaders:
  Guido Günther <agx@sigxcpu.org>,
 Build-Depends:
+ debhelper-compat (= 13),
  cargo,
- debhelper-compat (= 13),
  gsettings-desktop-schemas-dev,
  libadwaita-1-dev (>= 1.6),
  libfontconfig-dev,
@@ -14,6 +14,7 @@
  libgnome-bg-4-dev,
  libgnome-desktop-4-dev,
  libgtk-4-dev (>= 4.17),
+ librust-ashpd-dev,
  librust-gettext-rs-dev,
  librust-glib-macros-dev,
  librust-gtk4-dev,

## xdg-desktop-portal-phosh 0.51~rc1

=== debian/changelog ===
xdg-desktop-portal-phosh (0.51~rc1-1) experimental; urgency=medium

  * New upstream release
    * Add a thumbnailer service and CLI. This will later on be used by pfs.
  * Drop "use local pfs" patch. Fixed upstream.
  * Fix upstream metadata Depend on python3-docutils.
    Needed to build the manpages.
  * Install new files

 -- Guido Günther <agx@sigxcpu.org>  Sun, 09 Nov 2025 21:41:47 +0100

=== debian/control ===
--- 
+++ 
@@ -22,6 +22,7 @@
  librust-libadwaita-dev,
  meson,
  patchelf,
+ python3-docutils,
  systemd-dev,
  xdg-desktop-portal-dev (>= 1.14.0),
  xmlto,

=== debian/rules ===
--- 
+++ 
@@ -14,14 +14,16 @@
 include /usr/share/dpkg/default.mk
 
 configure_options = \
+	-Ddeb_triplet=$(DEB_HOST_RUST_TYPE) \
 	-Dpfs:deb_triplet=$(DEB_HOST_RUST_TYPE) \
-	-Drust-portal=false \
 	$(NULL)
 
 %:
 	dh $@
 
 override_dh_auto_configure:
+	$(CARGO) prepare-debian debian/cargo_registry --link-from-system
+	rm -f Cargo.lock
 	dh_auto_configure -- $(configure_options)
 
 override_dh_auto_install:

## xdg-desktop-portal-phosh 0.51.0

=== meson_options.txt ===
--- 
+++ 
@@ -1,3 +1,4 @@
+option('man', type: 'boolean', value: true, description: 'Whether to install man pages.')
 option('systemd_user_unit_dir',
        type: 'string', value: '',
        description: 'Directory for systemd user units')

=== debian/changelog ===
xdg-desktop-portal-phosh (0.51.0-3) unstable; urgency=medium

  * Add superficial tests for Rust portal and thumbnailer
  * Bump test timeouts.
    The meson test rebuilds parts of the project so we need a longer
    timeout for some architectures.

 -- Guido Günther <agx@sigxcpu.org>  Thu, 20 Nov 2025 17:06:26 +0100

xdg-desktop-portal-phosh (0.51.0-2) unstable; urgency=medium

  * Upload to unstable
  * application: Handle mtime as 64bit uint
  * Build-depend on newer ashpd.
    This one fixes the long startup timeout

 -- Guido Günther <agx@sigxcpu.org>  Wed, 19 Nov 2025 09:04:15 +0100

xdg-desktop-portal-phosh (0.51.0-1) experimental; urgency=medium

  * New upstream release
    * Update pfs subproject so the portal can do thumbnailing

 -- Guido Günther <agx@sigxcpu.org>  Sat, 15 Nov 2025 21:44:20 +0100

=== debian/tests/control ===
--- 
+++ 
@@ -3,3 +3,15 @@
  superficial,
 Depends:
  @,
+
+Test-Command: /usr/libexec/xdg-desktop-portal-phrosh --help
+Restrictions:
+ superficial,
+Depends:
+ @,
+
+Test-Command: /usr/libexec/phosh-thumbnailer --help
+Restrictions:
+ superficial,
+Depends:
+ @,

## xdg-desktop-portal-phosh 0.52~rc1

=== debian/changelog ===
xdg-desktop-portal-phosh (0.52~rc1-2) unstable; urgency=medium

  * build: Don't install upstream example service files

 -- Guido Günther <agx@sigxcpu.org>  Fri, 02 Jan 2026 10:44:25 +0100

xdg-desktop-portal-phosh (0.52~rc1-1) unstable; urgency=medium

  * New upstream release
  * Rediff patches
  * pfs: Fix alert dialog signature (Closes: #1124218)
  * Install translations

 -- Guido Günther <agx@sigxcpu.org>  Mon, 29 Dec 2025 20:28:24 +0100

## xdg-desktop-portal-phosh 0.52.0

=== debian/changelog ===
xdg-desktop-portal-phosh (0.52.0-1) unstable; urgency=medium

  * New upstream release

 -- Guido Günther <agx@sigxcpu.org>  Sat, 03 Jan 2026 12:00:20 +0100

=== debian/rules ===
--- 
+++ 
@@ -29,6 +29,9 @@
 override_dh_auto_install:
 	dh_auto_install --destdir=debian/tmp
 
+override_dh_auto_test:
+	dh_auto_test -- -t 10
+
 execute_after_dh_auto_clean:
 	rm -rf $(CARGO_HOME)
 	rm -rf $(CARGO_REGISTRY)
